source: Makefile.in @ 71b5d4d3

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationresolv-newwith_gc
Last change on this file since 71b5d4d3 was 6e4b913, checked in by Peter A. Buhr <pabuhr@…>, 6 years ago

allow 32-bit compilation of cfa-cpp, and 32-bit compilation of CFA programs (including CFA libraries)

  • Property mode set to 100644
File size: 23.2 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40        $(top_srcdir)/configure INSTALL automake/compile \
41        automake/depcomp automake/install-sh automake/missing \
42        automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53AM_V_GEN = $(am__v_GEN_@AM_V@)
54am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
55am__v_GEN_0 = @echo "  GEN   " $@;
56AM_V_at = $(am__v_at_@AM_V@)
57am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
58am__v_at_0 = @
59SOURCES =
60DIST_SOURCES =
61RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
62        html-recursive info-recursive install-data-recursive \
63        install-dvi-recursive install-exec-recursive \
64        install-html-recursive install-info-recursive \
65        install-pdf-recursive install-ps-recursive install-recursive \
66        installcheck-recursive installdirs-recursive pdf-recursive \
67        ps-recursive uninstall-recursive
68RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
69  distclean-recursive maintainer-clean-recursive
70AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
71        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
72        distdir dist dist-all distcheck
73ETAGS = etags
74CTAGS = ctags
75DIST_SUBDIRS = $(SUBDIRS)
76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77distdir = $(PACKAGE)-$(VERSION)
78top_distdir = $(distdir)
79am__remove_distdir = \
80  if test -d "$(distdir)"; then \
81    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
82      && rm -rf "$(distdir)" \
83      || { sleep 5 && rm -rf "$(distdir)"; }; \
84  else :; fi
85am__relativize = \
86  dir0=`pwd`; \
87  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
88  sed_rest='s,^[^/]*/*,,'; \
89  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
90  sed_butlast='s,/*[^/]*$$,,'; \
91  while test -n "$$dir1"; do \
92    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
93    if test "$$first" != "."; then \
94      if test "$$first" = ".."; then \
95        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
96        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
97      else \
98        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
99        if test "$$first2" = "$$first"; then \
100          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
101        else \
102          dir2="../$$dir2"; \
103        fi; \
104        dir0="$$dir0"/"$$first"; \
105      fi; \
106    fi; \
107    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
108  done; \
109  reldir="$$dir2"
110DIST_ARCHIVES = $(distdir).tar.gz
111GZIP_ENV = --best
112distuninstallcheck_listfiles = find . -type f -print
113am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
114  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
115distcleancheck_listfiles = find . -type f -print
116ACLOCAL = @ACLOCAL@
117ALLOCA = @ALLOCA@
118AMTAR = @AMTAR@
119AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120AUTOCONF = @AUTOCONF@
121AUTOHEADER = @AUTOHEADER@
122AUTOMAKE = @AUTOMAKE@
123AWK = @AWK@
124BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
125CC = @CC@
126CCDEPMODE = @CCDEPMODE@
127CFA_BACKEND_CC = @CFA_BACKEND_CC@
128CFA_BINDIR = @CFA_BINDIR@
129CFA_FLAGS = @CFA_FLAGS@
130CFA_INCDIR = @CFA_INCDIR@
131CFA_LIBDIR = @CFA_LIBDIR@
132CFA_PREFIX = @CFA_PREFIX@
133CFLAGS = @CFLAGS@
134CPP = @CPP@
135CPPFLAGS = @CPPFLAGS@
136CXX = @CXX@
137CXXDEPMODE = @CXXDEPMODE@
138CXXFLAGS = @CXXFLAGS@
139CYGPATH_W = @CYGPATH_W@
140DEFS = @DEFS@
141DEPDIR = @DEPDIR@
142ECHO_C = @ECHO_C@
143ECHO_N = @ECHO_N@
144ECHO_T = @ECHO_T@
145EGREP = @EGREP@
146EXEEXT = @EXEEXT@
147GREP = @GREP@
148INSTALL = @INSTALL@
149INSTALL_DATA = @INSTALL_DATA@
150INSTALL_PROGRAM = @INSTALL_PROGRAM@
151INSTALL_SCRIPT = @INSTALL_SCRIPT@
152INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
153LDFLAGS = @LDFLAGS@
154LEX = @LEX@
155LEXLIB = @LEXLIB@
156LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
157LIBOBJS = @LIBOBJS@
158LIBS = @LIBS@
159LTLIBOBJS = @LTLIBOBJS@
160MAINT = @MAINT@
161MAKEINFO = @MAKEINFO@
162MKDIR_P = @MKDIR_P@
163OBJEXT = @OBJEXT@
164PACKAGE = @PACKAGE@
165PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
166PACKAGE_NAME = @PACKAGE_NAME@
167PACKAGE_STRING = @PACKAGE_STRING@
168PACKAGE_TARNAME = @PACKAGE_TARNAME@
169PACKAGE_URL = @PACKAGE_URL@
170PACKAGE_VERSION = @PACKAGE_VERSION@
171PATH_SEPARATOR = @PATH_SEPARATOR@
172RANLIB = @RANLIB@
173SET_MAKE = @SET_MAKE@
174SHELL = @SHELL@
175STRIP = @STRIP@
176VERSION = @VERSION@
177YACC = @YACC@
178YFLAGS = @YFLAGS@
179abs_builddir = @abs_builddir@
180abs_srcdir = @abs_srcdir@
181abs_top_builddir = @abs_top_builddir@
182abs_top_srcdir = @abs_top_srcdir@
183ac_ct_CC = @ac_ct_CC@
184ac_ct_CXX = @ac_ct_CXX@
185am__include = @am__include@
186am__leading_dot = @am__leading_dot@
187am__quote = @am__quote@
188am__tar = @am__tar@
189am__untar = @am__untar@
190bindir = @bindir@
191build_alias = @build_alias@
192builddir = @builddir@
193datadir = @datadir@
194datarootdir = @datarootdir@
195docdir = @docdir@
196dvidir = @dvidir@
197exec_prefix = @exec_prefix@
198host_alias = @host_alias@
199htmldir = @htmldir@
200includedir = @includedir@
201infodir = @infodir@
202install_sh = @install_sh@
203libdir = @libdir@
204libexecdir = @libexecdir@
205localedir = @localedir@
206localstatedir = @localstatedir@
207mandir = @mandir@
208mkdir_p = @mkdir_p@
209oldincludedir = @oldincludedir@
210pdfdir = @pdfdir@
211prefix = @prefix@
212program_transform_name = @program_transform_name@
213psdir = @psdir@
214sbindir = @sbindir@
215sharedstatedir = @sharedstatedir@
216srcdir = @srcdir@
217sysconfdir = @sysconfdir@
218target_alias = @target_alias@
219top_build_prefix = @top_build_prefix@
220top_builddir = @top_builddir@
221top_srcdir = @top_srcdir@
222AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
223SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
224EXTRA_DIST = Docs                       # non-source files
225MAINTAINERCLEANFILES = lib/* bin/* src/examples/.deps/* src/tests/.deps/* src/tests/.out/*
226all: config.h
227        $(MAKE) $(AM_MAKEFLAGS) all-recursive
228
229.SUFFIXES:
230am--refresh: Makefile
231        @:
232$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
233        @for dep in $?; do \
234          case '$(am__configure_deps)' in \
235            *$$dep*) \
236              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
237              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
238                && exit 0; \
239              exit 1;; \
240          esac; \
241        done; \
242        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
243        $(am__cd) $(top_srcdir) && \
244          $(AUTOMAKE) --foreign Makefile
245.PRECIOUS: Makefile
246Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
247        @case '$?' in \
248          *config.status*) \
249            echo ' $(SHELL) ./config.status'; \
250            $(SHELL) ./config.status;; \
251          *) \
252            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
253            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
254        esac;
255
256$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
257        $(SHELL) ./config.status --recheck
258
259$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
260        $(am__cd) $(srcdir) && $(AUTOCONF)
261$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
262        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
263$(am__aclocal_m4_deps):
264
265config.h: stamp-h1
266        @if test ! -f $@; then rm -f stamp-h1; else :; fi
267        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
268
269stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
270        @rm -f stamp-h1
271        cd $(top_builddir) && $(SHELL) ./config.status config.h
272$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
273        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
274        rm -f stamp-h1
275        touch $@
276
277distclean-hdr:
278        -rm -f config.h stamp-h1
279
280# This directory's subdirectories are mostly independent; you can cd
281# into them and run `make' without going through this Makefile.
282# To change the values of `make' variables: instead of editing Makefiles,
283# (1) if the variable is set in `config.status', edit `config.status'
284#     (which will cause the Makefiles to be regenerated when you run `make');
285# (2) otherwise, pass the desired values on the `make' command line.
286$(RECURSIVE_TARGETS):
287        @fail= failcom='exit 1'; \
288        for f in x $$MAKEFLAGS; do \
289          case $$f in \
290            *=* | --[!k]*);; \
291            *k*) failcom='fail=yes';; \
292          esac; \
293        done; \
294        dot_seen=no; \
295        target=`echo $@ | sed s/-recursive//`; \
296        list='$(SUBDIRS)'; for subdir in $$list; do \
297          echo "Making $$target in $$subdir"; \
298          if test "$$subdir" = "."; then \
299            dot_seen=yes; \
300            local_target="$$target-am"; \
301          else \
302            local_target="$$target"; \
303          fi; \
304          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
305          || eval $$failcom; \
306        done; \
307        if test "$$dot_seen" = "no"; then \
308          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
309        fi; test -z "$$fail"
310
311$(RECURSIVE_CLEAN_TARGETS):
312        @fail= failcom='exit 1'; \
313        for f in x $$MAKEFLAGS; do \
314          case $$f in \
315            *=* | --[!k]*);; \
316            *k*) failcom='fail=yes';; \
317          esac; \
318        done; \
319        dot_seen=no; \
320        case "$@" in \
321          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
322          *) list='$(SUBDIRS)' ;; \
323        esac; \
324        rev=''; for subdir in $$list; do \
325          if test "$$subdir" = "."; then :; else \
326            rev="$$subdir $$rev"; \
327          fi; \
328        done; \
329        rev="$$rev ."; \
330        target=`echo $@ | sed s/-recursive//`; \
331        for subdir in $$rev; do \
332          echo "Making $$target in $$subdir"; \
333          if test "$$subdir" = "."; then \
334            local_target="$$target-am"; \
335          else \
336            local_target="$$target"; \
337          fi; \
338          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
339          || eval $$failcom; \
340        done && test -z "$$fail"
341tags-recursive:
342        list='$(SUBDIRS)'; for subdir in $$list; do \
343          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
344        done
345ctags-recursive:
346        list='$(SUBDIRS)'; for subdir in $$list; do \
347          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
348        done
349
350ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
351        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
352        unique=`for i in $$list; do \
353            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354          done | \
355          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
356              END { if (nonempty) { for (i in files) print i; }; }'`; \
357        mkid -fID $$unique
358tags: TAGS
359
360TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
361                $(TAGS_FILES) $(LISP)
362        set x; \
363        here=`pwd`; \
364        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
365          include_option=--etags-include; \
366          empty_fix=.; \
367        else \
368          include_option=--include; \
369          empty_fix=; \
370        fi; \
371        list='$(SUBDIRS)'; for subdir in $$list; do \
372          if test "$$subdir" = .; then :; else \
373            test ! -f $$subdir/TAGS || \
374              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
375          fi; \
376        done; \
377        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
378        unique=`for i in $$list; do \
379            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
380          done | \
381          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
382              END { if (nonempty) { for (i in files) print i; }; }'`; \
383        shift; \
384        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
385          test -n "$$unique" || unique=$$empty_fix; \
386          if test $$# -gt 0; then \
387            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
388              "$$@" $$unique; \
389          else \
390            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
391              $$unique; \
392          fi; \
393        fi
394ctags: CTAGS
395CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
396                $(TAGS_FILES) $(LISP)
397        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
398        unique=`for i in $$list; do \
399            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
400          done | \
401          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
402              END { if (nonempty) { for (i in files) print i; }; }'`; \
403        test -z "$(CTAGS_ARGS)$$unique" \
404          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
405             $$unique
406
407GTAGS:
408        here=`$(am__cd) $(top_builddir) && pwd` \
409          && $(am__cd) $(top_srcdir) \
410          && gtags -i $(GTAGS_ARGS) "$$here"
411
412distclean-tags:
413        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
414
415distdir: $(DISTFILES)
416        $(am__remove_distdir)
417        test -d "$(distdir)" || mkdir "$(distdir)"
418        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
419        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
420        list='$(DISTFILES)'; \
421          dist_files=`for file in $$list; do echo $$file; done | \
422          sed -e "s|^$$srcdirstrip/||;t" \
423              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
424        case $$dist_files in \
425          */*) $(MKDIR_P) `echo "$$dist_files" | \
426                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
427                           sort -u` ;; \
428        esac; \
429        for file in $$dist_files; do \
430          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
431          if test -d $$d/$$file; then \
432            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
433            if test -d "$(distdir)/$$file"; then \
434              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
435            fi; \
436            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
437              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
438              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
439            fi; \
440            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
441          else \
442            test -f "$(distdir)/$$file" \
443            || cp -p $$d/$$file "$(distdir)/$$file" \
444            || exit 1; \
445          fi; \
446        done
447        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
448          if test "$$subdir" = .; then :; else \
449            test -d "$(distdir)/$$subdir" \
450            || $(MKDIR_P) "$(distdir)/$$subdir" \
451            || exit 1; \
452          fi; \
453        done
454        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
455          if test "$$subdir" = .; then :; else \
456            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
457            $(am__relativize); \
458            new_distdir=$$reldir; \
459            dir1=$$subdir; dir2="$(top_distdir)"; \
460            $(am__relativize); \
461            new_top_distdir=$$reldir; \
462            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
463            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
464            ($(am__cd) $$subdir && \
465              $(MAKE) $(AM_MAKEFLAGS) \
466                top_distdir="$$new_top_distdir" \
467                distdir="$$new_distdir" \
468                am__remove_distdir=: \
469                am__skip_length_check=: \
470                am__skip_mode_fix=: \
471                distdir) \
472              || exit 1; \
473          fi; \
474        done
475        -test -n "$(am__skip_mode_fix)" \
476        || find "$(distdir)" -type d ! -perm -755 \
477                -exec chmod u+rwx,go+rx {} \; -o \
478          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
479          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
480          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
481        || chmod -R a+r "$(distdir)"
482dist-gzip: distdir
483        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
484        $(am__remove_distdir)
485
486dist-bzip2: distdir
487        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
488        $(am__remove_distdir)
489
490dist-lzip: distdir
491        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
492        $(am__remove_distdir)
493
494dist-lzma: distdir
495        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
496        $(am__remove_distdir)
497
498dist-xz: distdir
499        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
500        $(am__remove_distdir)
501
502dist-tarZ: distdir
503        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
504        $(am__remove_distdir)
505
506dist-shar: distdir
507        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
508        $(am__remove_distdir)
509
510dist-zip: distdir
511        -rm -f $(distdir).zip
512        zip -rq $(distdir).zip $(distdir)
513        $(am__remove_distdir)
514
515dist dist-all: distdir
516        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
517        $(am__remove_distdir)
518
519# This target untars the dist file and tries a VPATH configuration.  Then
520# it guarantees that the distribution is self-contained by making another
521# tarfile.
522distcheck: dist
523        case '$(DIST_ARCHIVES)' in \
524        *.tar.gz*) \
525          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
526        *.tar.bz2*) \
527          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
528        *.tar.lzma*) \
529          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
530        *.tar.lz*) \
531          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
532        *.tar.xz*) \
533          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
534        *.tar.Z*) \
535          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
536        *.shar.gz*) \
537          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
538        *.zip*) \
539          unzip $(distdir).zip ;;\
540        esac
541        chmod -R a-w $(distdir); chmod a+w $(distdir)
542        mkdir $(distdir)/_build
543        mkdir $(distdir)/_inst
544        chmod a-w $(distdir)
545        test -d $(distdir)/_build || exit 0; \
546        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
547          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
548          && am__cwd=`pwd` \
549          && $(am__cd) $(distdir)/_build \
550          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
551            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
552            $(DISTCHECK_CONFIGURE_FLAGS) \
553          && $(MAKE) $(AM_MAKEFLAGS) \
554          && $(MAKE) $(AM_MAKEFLAGS) dvi \
555          && $(MAKE) $(AM_MAKEFLAGS) check \
556          && $(MAKE) $(AM_MAKEFLAGS) install \
557          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
558          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
559          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
560                distuninstallcheck \
561          && chmod -R a-w "$$dc_install_base" \
562          && ({ \
563               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
564               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
565               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
566               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
567                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
568              } || { rm -rf "$$dc_destdir"; exit 1; }) \
569          && rm -rf "$$dc_destdir" \
570          && $(MAKE) $(AM_MAKEFLAGS) dist \
571          && rm -rf $(DIST_ARCHIVES) \
572          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
573          && cd "$$am__cwd" \
574          || exit 1
575        $(am__remove_distdir)
576        @(echo "$(distdir) archives ready for distribution: "; \
577          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
578          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
579distuninstallcheck:
580        @test -n '$(distuninstallcheck_dir)' || { \
581          echo 'ERROR: trying to run $@ with an empty' \
582               '$$(distuninstallcheck_dir)' >&2; \
583          exit 1; \
584        }; \
585        $(am__cd) '$(distuninstallcheck_dir)' || { \
586          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
587          exit 1; \
588        }; \
589        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
590           || { echo "ERROR: files left after uninstall:" ; \
591                if test -n "$(DESTDIR)"; then \
592                  echo "  (check DESTDIR support)"; \
593                fi ; \
594                $(distuninstallcheck_listfiles) ; \
595                exit 1; } >&2
596distcleancheck: distclean
597        @if test '$(srcdir)' = . ; then \
598          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
599          exit 1 ; \
600        fi
601        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
602          || { echo "ERROR: files left in build directory after distclean:" ; \
603               $(distcleancheck_listfiles) ; \
604               exit 1; } >&2
605check-am: all-am
606check: check-recursive
607all-am: Makefile config.h
608installdirs: installdirs-recursive
609installdirs-am:
610install: install-recursive
611install-exec: install-exec-recursive
612install-data: install-data-recursive
613uninstall: uninstall-recursive
614
615install-am: all-am
616        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
617
618installcheck: installcheck-recursive
619install-strip:
620        if test -z '$(STRIP)'; then \
621          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
622            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
623              install; \
624        else \
625          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
626            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
627            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
628        fi
629mostlyclean-generic:
630
631clean-generic:
632
633distclean-generic:
634        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
635        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
636
637maintainer-clean-generic:
638        @echo "This command is intended for maintainers to use"
639        @echo "it deletes files that may require special tools to rebuild."
640        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
641clean: clean-recursive
642
643clean-am: clean-generic mostlyclean-am
644
645distclean: distclean-recursive
646        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
647        -rm -f Makefile
648distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
649
650dvi: dvi-recursive
651
652dvi-am:
653
654html: html-recursive
655
656html-am:
657
658info: info-recursive
659
660info-am:
661
662install-data-am:
663
664install-dvi: install-dvi-recursive
665
666install-dvi-am:
667
668install-exec-am:
669
670install-html: install-html-recursive
671
672install-html-am:
673
674install-info: install-info-recursive
675
676install-info-am:
677
678install-man:
679
680install-pdf: install-pdf-recursive
681
682install-pdf-am:
683
684install-ps: install-ps-recursive
685
686install-ps-am:
687
688installcheck-am:
689
690maintainer-clean: maintainer-clean-recursive
691        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
692        -rm -rf $(top_srcdir)/autom4te.cache
693        -rm -f Makefile
694maintainer-clean-am: distclean-am maintainer-clean-generic
695
696mostlyclean: mostlyclean-recursive
697
698mostlyclean-am: mostlyclean-generic
699
700pdf: pdf-recursive
701
702pdf-am:
703
704ps: ps-recursive
705
706ps-am:
707
708uninstall-am:
709
710.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
711        ctags-recursive install-am install-strip tags-recursive
712
713.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
714        all all-am am--refresh check check-am clean clean-generic \
715        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
716        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
717        distcheck distclean distclean-generic distclean-hdr \
718        distclean-tags distcleancheck distdir distuninstallcheck dvi \
719        dvi-am html html-am info info-am install install-am \
720        install-data install-data-am install-dvi install-dvi-am \
721        install-exec install-exec-am install-html install-html-am \
722        install-info install-info-am install-man install-pdf \
723        install-pdf-am install-ps install-ps-am install-strip \
724        installcheck installcheck-am installdirs installdirs-am \
725        maintainer-clean maintainer-clean-generic mostlyclean \
726        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
727        uninstall uninstall-am
728
729
730# Tell versions [3.59,3.63) of GNU make to not export all variables.
731# Otherwise a system limit (for SysV at least) may be exceeded.
732.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.